# List Notifications Retrieves all notifications. A filter can be applied. See the App Notifications article for more details. Endpoint: POST /notification.list Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `endRow` (integer) - `oldValues` (object,null) - `operationType` (string) - `startRow` (integer) - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.value` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (integer) - `response.data` (array) - `response.data.typedId` (string) - `response.data.lastUpdateDate` (string) - `response.data.dueDate` (string) - `response.data.isRead` (boolean) - `response.data.source` (string) - `response.data.title` (string) - `response.data.message` (string) - `response.data.version` (integer) - `response.data.actionLabel` (string,null) - `response.data.actionType` (string) Enum: "UNKNOWN", "LINK", "DOWNLOAD", "INFO_MESSAGE", "MESSAGE_LINK", "CTX_LINK" - `response.data.createdBy` (integer) - `response.data.topic` (string) Enum: "VALIDATION", "CALCULATION", "DATA_DOWNLOAD", "MESSAGE", "GROOVY", "SYSTEM_NOTIFICATION" - `response.data.action` (string,null) - `response.data.recipientID` (integer) - `response.data.validUntil` (string) - `response.data.status` (string) Enum: "UNKNOWN", "INFO", "WARNING", "ERROR", "SUCCESS" - `response.data.createDate` (string) - `response.data.lastUpdateBy` (integer) - `response.endRow` (integer) - `response.totalRows` (integer)